Class SelectTirePropertyCd
Inheritance
System.Object
System.MarshalByRefObject
SelectTirePropertyCd
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen.Motion
Assembly: NXOpen.dll
Syntax
public class SelectTirePropertyCd : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectTirePropertyCd()
Declaration
protected SelectTirePropertyCd()
Properties
Value
Declaration
public TirePropertyCd Value { get; set; }
Property Value
Type | Description |
---|---|
TirePropertyCd |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public TirePropertyCd GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
TirePropertyCd |
GetValue(out InferSnapType.SnapType, out TirePropertyCd, out View, out Point3d, out TirePropertyCd, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out TirePropertyCd selection1, out View view1, out Point3d point1, out TirePropertyCd selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
TirePropertyCd | selection1 | |
View | view1 | |
Point3d | point1 | |
TirePropertyCd | selection2 | |
View | view2 | |
Point3d | point2 |
GetValue(out TirePropertyCd, out View, out Point3d)
Declaration
public void GetValue(out TirePropertyCd selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
TirePropertyCd | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, TirePropertyCd, View, Point3d, TirePropertyCd, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, TirePropertyCd selection1, View view1, Point3d point1, TirePropertyCd selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
TirePropertyCd | selection1 | |
View | view1 | |
Point3d | point1 | |
TirePropertyCd | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(TirePropertyCd, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(TirePropertyCd selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
TirePropertyCd | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(TirePropertyCd, View, Point3d)
Declaration
public void SetValue(TirePropertyCd selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
TirePropertyCd | selection | |
View | view | |
Point3d | point |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink